> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a static listing

> Creates a new static listing with the specified slug and variant IDs for the app



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/static-listings
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/static-listings:
    post:
      tags:
        - Static Listings
      summary: Create a static listing
      description: >-
        Creates a new static listing with the specified slug and variant IDs for
        the app
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/internal_pkg_webserver_v1.StaticListingRequest
      responses:
        '200':
          description: static-listing created successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.StaticListingResponse
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '422':
          description: Invalid request and not parsable by backend
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.StaticListingRequest:
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.StaticListingRequest
      description: static-listing configuration
      required: true
  schemas:
    internal_pkg_webserver_v1.StaticListingResponse:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.StaticListing
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.StaticListingRequest:
      properties:
        slug:
          type: string
        variant_ids:
          items:
            type: string
          type: array
      required:
        - slug
        - variant_ids
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.StaticListing:
      properties:
        created_at:
          type: string
        id:
          type: string
        slug:
          type: string
        updated_at:
          type: string
        variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.StaticListingProductVariant
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.StaticListingProductVariant:
      properties:
        app_id:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        product_id:
          type: string
        product_name:
          type: string
        variant_name:
          type: string
        variant_number:
          type: string
      type: object

````